org.eclipse.jetty.websocket

## Interface WebSocket.OnTextMessage

- All Superinterfaces:
    WebSocket
  Enclosing interface:
    WebSocket

      public static interface WebSocket.OnTextMessage
      extends WebSocket

  A nested WebSocket interface for receiving text messages

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.websocket.WebSocket

      `WebSocket.Connection, WebSocket.FrameConnection, WebSocket.OnBinaryMessage, WebSocket.OnControl, WebSocket.OnFrame, WebSocket.OnTextMessage`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMessage(String data)` Called with a complete text message when all fragments have been received.

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocket

      `onClose, onOpen`

- - ### Method Detail

    - #### onMessage

          void onMessage(String data)

      Called with a complete text message when all fragments have been received. The maximum size of text message that may be aggregated from multiple frames is set with `WebSocket.Connection.setMaxTextMessageSize(int)`.
      Parameters:
        `data` - The message

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.